{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    {{ student.roll_no }}
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Update Lab Marks
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            {% if student_avail %}
                <div class="alert alert-success" role="alert" align="center">
                    <div><h5>{{ course }}</h5></div>
                    <div><h4>You are currently looking at marks of
                        <strong>{{ student }}({{ student.roll_no }})</strong></h4></div>
                </div>

                <div class="col-md-6 col-sm-6 col-xs-6 col-md-offset-3 tile" align="center">
                    <h3>
                        <div>Total Marks: <strong>{{ total_marks }}</strong></div>
                    </h3>
                </div>

                <div class="row">
                    <form id="updateform" method="POST" class="form-horizontal">
                        {% csrf_token %}
                        <input type="text" id="totalmarks" name="totalmarks"
                               value="{{ total_marks }}" hidden>
                        <input type="text" id="quescount" name="quescount" value="{{ no_of_questions }}" hidden>

                        <input type="text" id="studid" name="studid" value="{{ student.id }}" hidden>
                        <input type="text" id="course" name="course" value="{{ course.course_id }}" hidden>
                        <input type="text" id="sel_course_ins" name="sel_course_ins" value="{{ sel_course_ins }}"
                               hidden>
                        <table class="table table-hover">
                            <thead>
                            <tr>
                                <td></td>
                                <td></td>
                                <td style="padding-top: 15px"><b>Model Exam Mark(Out of 10) :</b></td>
                                <td><input class="form-control" placeholder="Internal Mark" type="number"
                                           id="internal" name="internal" min="0"
                                           max="100" value="{{ question.internal }}" required></td>
                                <td></td>
                                <td></td>

                            </tr>

                            <tr></tr>
                            <tr></tr>

                            <tr>
                                <th>S. No.</th>
                                <th>Experiment Number</th>
                                <th>Experiment</th>
                                <th>Mark Alloted</th>
                                <th>Student Marks</th>
                            </tr>
                            </thead>
                            <tbody>

                            {% for question in list_of_questions %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ question.quesno }}</td>
                                    <td>{{ question.co }}</td>
                                    <td>{{ question.mark }}</td>
                                    <td>
                                        <input type="text" name="id{{ forloop.counter }}" value="{{ question.id }}"
                                               hidden>
                                        <input class="form-control" placeholder="Obtained Mark" type="number"
                                               id="{{ forloop.counter }}" name="{{ forloop.counter }}" min="0"
                                               max="{{ question.mark }}" value="{{ question.studmark }}" required>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                        <div class="col-sm-2 col-sm-offset-5">
                            <button id="update" name="update" type="submit" class="save btn btn-lg btn-success"
                                    value="Update">Update
                            </button>
                        </div>
                    </form>
                    <br><br><br><br><br>
                </div>
            {% else %}
                <form method="POST">
                    {% csrf_token %}
                    <input type="text" name="gobackcourse" value="{{ course.course_id }}" hidden>

                    <div class="alert alert-danger" role="alert" align="center">
                        <div><h5>{{ course }}</h5></div>
                        <div><h4>You have to enter marks for
                            <strong>{{ student }}({{ student.roll_no }})</strong></h4></div>
                    </div>
                    <div class="col-sm-2 col-sm-offset-5">
                        <button name="goback" type="submit" class="save btn btn-lg btn-success">
                            Go Back
                        </button>
                    </div>
                </form>
            {% endif %}
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>
    <script type="text/javascript">
        $(document).on("submit", '#updateform', function (e) {
            e.preventDefault();
            var totalmarks = $('#totalmarks').val();
            var quescount = $('#quescount').val();
            //alert(quescount);
            sum = 0;
            counter = 1;
            for (; counter <= parseInt(quescount); counter++) {
                //alert($('#'+counter).val());
                sum += parseInt($('#' + counter).val());
            }
            //alert(sum);
            //alert(totalmarks);
            if (sum <= parseInt(totalmarks)) {
                $('#updateform').submit();
            }
            /* else {
             if (sum > totalmarks) {
             alert('Sum of all entered marks should be equal to ' + totalmarks + '\nYou have entered ' + sum + ' marks');
             }
             else {
             alert('Sum of all entered marks should be equal to ' + totalmarks + '\nYou have entered only ' + sum + ' marks');
             }
             }*/
        });
    </script>
{% endblock %}